CREATE TABLE ben_per_bnfts_bal_f (
    PER_BNFTS_BAL_ID          NUMBER(18, 0),
    BENEFIT_RELATION_ID       NUMBER(18, 0),
    EFFECTIVE_START_DATE      DATE         ,
    EFFECTIVE_END_DATE        DATE         ,
    VAL                       NUMBER       ,
    BNFTS_BAL_ID              NUMBER(18, 0)    NOT NULL,
    PERSON_ID                 NUMBER(18, 0),
    ASSIGNMENT_ID             NUMBER(18, 0),
    BUSINESS_GROUP_ID         NUMBER(18, 0)    NOT NULL,
    LEGAL_ENTITY_ID           NUMBER(18, 0),
    UOM                       VARCHAR2(120),
    PBB_ATTRIBUTE_CATEGORY    VARCHAR2(120),
    PBB_ATTRIBUTE1            VARCHAR2(600),
    PBB_ATTRIBUTE2            VARCHAR2(600),
    PBB_ATTRIBUTE3            VARCHAR2(600),
    PBB_ATTRIBUTE4            VARCHAR2(600),
    PBB_ATTRIBUTE5            VARCHAR2(600),
    PBB_ATTRIBUTE6            VARCHAR2(600),
    PBB_ATTRIBUTE7            VARCHAR2(600),
    PBB_ATTRIBUTE8            VARCHAR2(600),
    PBB_ATTRIBUTE9            VARCHAR2(600),
    PBB_ATTRIBUTE10           VARCHAR2(600),
    PBB_ATTRIBUTE11           VARCHAR2(600),
    PBB_ATTRIBUTE12           VARCHAR2(600),
    PBB_ATTRIBUTE13           VARCHAR2(600),
    PBB_ATTRIBUTE14           VARCHAR2(600),
    PBB_ATTRIBUTE15           VARCHAR2(600),
    PBB_ATTRIBUTE16           VARCHAR2(600),
    PBB_ATTRIBUTE17           VARCHAR2(600),
    PBB_ATTRIBUTE18           VARCHAR2(600),
    PBB_ATTRIBUTE19           VARCHAR2(600),
    PBB_ATTRIBUTE20           VARCHAR2(600),
    PBB_ATTRIBUTE21           VARCHAR2(600),
    PBB_ATTRIBUTE22           VARCHAR2(600),
    PBB_ATTRIBUTE23           VARCHAR2(600),
    PBB_ATTRIBUTE24           VARCHAR2(600),
    PBB_ATTRIBUTE25           VARCHAR2(600),
    PBB_ATTRIBUTE26           VARCHAR2(600),
    PBB_ATTRIBUTE27           VARCHAR2(600),
    PBB_ATTRIBUTE28           VARCHAR2(600),
    PBB_ATTRIBUTE29           VARCHAR2(600),
    PBB_ATTRIBUTE30           VARCHAR2(600),
    PBB_ATTRIBUTE_NUMBER1     NUMBER       ,
    PBB_ATTRIBUTE_NUMBER2     NUMBER       ,
    PBB_ATTRIBUTE_NUMBER3     NUMBER       ,
    PBB_ATTRIBUTE_NUMBER4     NUMBER       ,
    PBB_ATTRIBUTE_NUMBER5     NUMBER       ,
    PBB_ATTRIBUTE_NUMBER6     NUMBER       ,
    PBB_ATTRIBUTE_NUMBER7     NUMBER       ,
    PBB_ATTRIBUTE_NUMBER8     NUMBER       ,
    PBB_ATTRIBUTE_NUMBER9     NUMBER       ,
    PBB_ATTRIBUTE_NUMBER10    NUMBER       ,
    PBB_ATTRIBUTE_NUMBER11    NUMBER       ,
    PBB_ATTRIBUTE_NUMBER12    NUMBER       ,
    PBB_ATTRIBUTE_NUMBER13    NUMBER       ,
    PBB_ATTRIBUTE_NUMBER14    NUMBER       ,
    PBB_ATTRIBUTE_NUMBER15    NUMBER       ,
    PBB_ATTRIBUTE_NUMBER16    NUMBER       ,
    PBB_ATTRIBUTE_NUMBER17    NUMBER       ,
    PBB_ATTRIBUTE_NUMBER18    NUMBER       ,
    PBB_ATTRIBUTE_NUMBER19    NUMBER       ,
    PBB_ATTRIBUTE_NUMBER20    NUMBER       ,
    PBB_ATTRIBUTE_DATE1       DATE         ,
    PBB_ATTRIBUTE_DATE2       DATE         ,
    PBB_ATTRIBUTE_DATE3       DATE         ,
    PBB_ATTRIBUTE_DATE4       DATE         ,
    PBB_ATTRIBUTE_DATE5       DATE         ,
    PBB_ATTRIBUTE_DATE6       DATE         ,
    PBB_ATTRIBUTE_DATE7       DATE         ,
    PBB_ATTRIBUTE_DATE8       DATE         ,
    PBB_ATTRIBUTE_DATE9       DATE         ,
    PBB_ATTRIBUTE_DATE10      DATE         ,
    PBB_ATTRIBUTE_DATE11      DATE         ,
    PBB_ATTRIBUTE_DATE12      DATE         ,
    PBB_ATTRIBUTE_DATE13      DATE         ,
    PBB_ATTRIBUTE_DATE14      DATE         ,
    PBB_ATTRIBUTE_DATE15      DATE         ,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    PER_BNFTS_BAL_ID          NUMBER(18, 0),
    BENEFIT_RELATION_ID       NUMBER(18, 0),
    EFFECTIVE_START_DATE      DATE         ,
    EFFECTIVE_END_DATE        DATE         ,
    VAL                       NUMBER       ,
    BNFTS_BAL_ID              NUMBER(18, 0)    NOT NULL,
    PERSON_ID                 NUMBER(18, 0),
    ASSIGNMENT_ID             NUMBER(18, 0),
    BUSINESS_GROUP_ID         NUMBER(18, 0)    NOT NULL,
    LEGAL_ENTITY_ID           NUMBER(18, 0),
    UOM                       VARCHAR2(120),
    PBB_ATTRIBUTE_CATEGORY    VARCHAR2(120),
    PBB_ATTRIBUTE1            VARCHAR2(600),
    PBB_ATTRIBUTE2            VARCHAR2(600),
    PBB_ATTRIBUTE3            VARCHAR2(600),
    PBB_ATTRIBUTE4            VARCHAR2(600),
    PBB_ATTRIBUTE5            VARCHAR2(600),
    PBB_ATTRIBUTE6            VARCHAR2(600),
    PBB_ATTRIBUTE7            VARCHAR2(600),
    PBB_ATTRIBUTE8            VARCHAR2(600),
    PBB_ATTRIBUTE9            VARCHAR2(600),
    PBB_ATTRIBUTE10           VARCHAR2(600),
    PBB_ATTRIBUTE11           VARCHAR2(600),
    PBB_ATTRIBUTE12           VARCHAR2(600),
    PBB_ATTRIBUTE13           VARCHAR2(600),
    PBB_ATTRIBUTE14           VARCHAR2(600),
    PBB_ATTRIBUTE15           VARCHAR2(600),
    PBB_ATTRIBUTE16           VARCHAR2(600),
    PBB_ATTRIBUTE17           VARCHAR2(600),
    PBB_ATTRIBUTE18           VARCHAR2(600),
    PBB_ATTRIBUTE19           VARCHAR2(600),
    PBB_ATTRIBUTE20           VARCHAR2(600),
    PBB_ATTRIBUTE21           VARCHAR2(600),
    PBB_ATTRIBUTE22           VARCHAR2(600),
    PBB_ATTRIBUTE23           VARCHAR2(600),
    PBB_ATTRIBUTE24           VARCHAR2(600),
    PBB_ATTRIBUTE25           VARCHAR2(600),
    PBB_ATTRIBUTE26           VARCHAR2(600),
    PBB_ATTRIBUTE27           VARCHAR2(600),
    PBB_ATTRIBUTE28           VARCHAR2(600),
    PBB_ATTRIBUTE29           VARCHAR2(600),
    PBB_ATTRIBUTE30           VARCHAR2(600),
    PBB_ATTRIBUTE_NUMBER1     NUMBER       ,
    PBB_ATTRIBUTE_NUMBER2     NUMBER       ,
    PBB_ATTRIBUTE_NUMBER3     NUMBER       ,
    PBB_ATTRIBUTE_NUMBER4     NUMBER       ,
    PBB_ATTRIBUTE_NUMBER5     NUMBER       ,
    PBB_ATTRIBUTE_NUMBER6     NUMBER       ,
    PBB_ATTRIBUTE_NUMBER7     NUMBER       ,
    PBB_ATTRIBUTE_NUMBER8     NUMBER       ,
    PBB_ATTRIBUTE_NUMBER9     NUMBER       ,
    PBB_ATTRIBUTE_NUMBER10    NUMBER       ,
    PBB_ATTRIBUTE_NUMBER11    NUMBER       ,
    PBB_ATTRIBUTE_NUMBER12    NUMBER       ,
    PBB_ATTRIBUTE_NUMBER13    NUMBER       ,
    PBB_ATTRIBUTE_NUMBER14    NUMBER       ,
    PBB_ATTRIBUTE_NUMBER15    NUMBER       ,
    PBB_ATTRIBUTE_NUMBER16    NUMBER       ,
    PBB_ATTRIBUTE_NUMBER17    NUMBER       ,
    PBB_ATTRIBUTE_NUMBER18    NUMBER       ,
    PBB_ATTRIBUTE_NUMBER19    NUMBER       ,
    PBB_ATTRIBUTE_NUMBER20    NUMBER       ,
    PBB_ATTRIBUTE_DATE1       DATE         ,
    PBB_ATTRIBUTE_DATE2       DATE         ,
    PBB_ATTRIBUTE_DATE3       DATE         ,
    PBB_ATTRIBUTE_DATE4       DATE         ,
    PBB_ATTRIBUTE_DATE5       DATE         ,
    PBB_ATTRIBUTE_DATE6       DATE         ,
    PBB_ATTRIBUTE_DATE7       DATE         ,
    PBB_ATTRIBUTE_DATE8       DATE         ,
    PBB_ATTRIBUTE_DATE9       DATE         ,
    PBB_ATTRIBUTE_DATE10      DATE         ,
    PBB_ATTRIBUTE_DATE11      DATE         ,
    PBB_ATTRIBUTE_DATE12      DATE         ,
    PBB_ATTRIBUTE_DATE13      DATE         ,
    PBB_ATTRIBUTE_DATE14      DATE         ,
    PBB_ATTRIBUTE_DATE15      DATE         ,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ben_per_bnfts_bal_f PRIMARY KEY (PER_BNFTS_BAL_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE, PER_BNFTS_BAL_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE)
);
